# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel perl(Carp.pm) perl(Devel/Leak.pm) perl(ExtUtils/MakeMaker.pm) perl(Storable.pm) perl(Test/More.pm) perl(XSLoader.pm)
# END SourceDeps(oneline)
%define module_name Devel-Probe
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.000006
Release: alt3
Summary: Quick & dirty code probes for Perl
Group: Development/Perl
License: mit
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/G/GO/GONZUS/%{module_name}-%{version}.tar.gz

%description
Use this module to allow the possibility of creating probes for some lines in
your code.  These probes can be used to build things like debuggers, fault
injection tests, or production observability tooling.

The probing code is installed when you import the module, but it is disabled.
In these conditions, the probe code is light enough that it should cause no
impact at all in your CPU usage; an impact might be noticed when you enable the
module and configure some probes, particularly depending on the frequency with
which those probes will be triggered, and how heavy the trigger callback turns
out to be.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README.md
%perl_vendor_archlib/D*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.000006-alt3
- rebuild with perl 5.38

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 0.000006-alt2
- rebuild with perl 5.34.0

* Fri Feb 05 2021 Igor Vlasenko <viy@altlinux.ru> 0.000006-alt1
- initial import by package builder

